<template>
  <div class="inline-16">
    <el-popconfirm
        title="确定删除此商品吗？"
        @confirm="deleteRow()">
      <el-button slot="reference" size="small" type="text">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  name: "relationDel",
  props:['data'],
  methods:{
    async deleteRow() {
      const res = await this.$api.requested({
        "id": "20220926102203",
        "version":1,
        "content": {
          "plm_technicalinfo_itemid":this.data.plm_technicalinfo_itemid
        }
      })
      this.tool.showMessage(res, () => {
        this.$emit('deleteSuccess')
      })
    }
  }
}
</script>

<style scoped>

</style>